QueryNeighborInfo
Date: 2015-11-04

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.sandia.gnem.slbmjni
Class QueryNeighborInfo

    java.lang.Object
      gov.sandia.gnem.slbmjni.QueryNeighborInfo

    public class QueryNeighborInfo

extends java.lang.Object

Stores information related to an interpolated profile through the Earth model. The information is retrieved from a C++ QueryProfile object via a call to `SlbmInterface.getInterpolatedPoint(double, double)`. Information includes: the geographic latitude and longitude of the point in the Earth model where the information was interpolated, the depths of all model interfaces beneath the point of interpolation, the P and S velocities of each model interval, and the P and S velocity gradients in the mantle. Also includes the node IDs and interpolation coefficients used to interpolate the information from the grid nodes.

Field Summary
`double[]` | `azimuth` An array of azimuths between nid and neighbors of nid
`double[]` | `distance` An array of distances between nid and neighbors of nid
`int[]` | `neighbors` The node IDs of neighbors of nid.
`int` | `nid` Node ID of interest.
`int` | `nNeighbors` The number of neighbors nid has

Constructor Summary
`QueryNeighborInfo()`

Method Summary
`int` | `getNNeighbors()` R
`java.lang.String` | `toString()` Retrieve a formatted String representation of the information in this QueryNeighborInfo object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### nid

    public int nid

  Node ID of interest.

### neighbors

    public int[] neighbors

  The node IDs of neighbors of nid.

### distance

    public double[] distance

  An array of distances between nid and neighbors of nid

### azimuth

    public double[] azimuth

  An array of azimuths between nid and neighbors of nid

### nNeighbors

    public int nNeighbors

  The number of neighbors nid has

Constructor Detail

### QueryNeighborInfo

    public QueryNeighborInfo()

Method Detail

### getNNeighbors

    public int getNNeighbors()

  R

  Returns:
    int the number of neighbors

### toString

    public java.lang.String toString()

  Retrieve a formatted String representation of the information in this QueryNeighborInfo object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    String a formatted String representation of the information in this QueryNeighborInfo object.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD